com.io7m.jpra.compiler.core

## Class JPRACompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.io7m.jpra.core.JPRAException
      - - com.io7m.jpra.compiler.core.JPRACompilerException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JPRACompilerCheckerException, JPRACompilerLexerException, JPRACompilerParseException, JPRACompilerResolverException

      public abstract class JPRACompilerException
      extends JPRAException

  The root type of compiler exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPRACompilerException(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex, Exception cause)` Construct an exception.
    `JPRACompilerException(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex, String message)` Construct an exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JPRACompilerException

          public JPRACompilerException(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex,
                                       String message)

      Construct an exception.
      Parameters:
        `in_lex` - Lexical information
        `message` - The exception message

    - #### JPRACompilerException

          public JPRACompilerException(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex,
                                       Exception cause)

      Construct an exception.
      Parameters:
        `in_lex` - Lexical information
        `cause` - The cause

  - ### Method Detail

    - #### getLexicalInformation

          public final Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Returns:
        The lexical information for the error, if any

Copyright © 2015 <code@io7m.com> http://io7m.com